package com.yidianling.im.session.enums

/**
 * Created by haorui on 2019-11-06.
 * Des:
 */
enum class ShareMsgTypeEnum private constructor(private val value: Int) {
    //测试
    MSG_SHARE_TYPE_TEST(0),
    //课程
    MSG_SHARE_TYPE_COURSE(1),
    //文章
    MSG_SHARE_TYPE_ARTICLE(2),
    //倾诉
    MSG_SHARE_TYPE_CONFIDE(3);

    fun value(): Int {
        return value
    }

    companion object {

        fun valueOf(value: Int): ShareMsgTypeEnum {
            when (value) {
                0 -> return MSG_SHARE_TYPE_TEST
                1 -> return MSG_SHARE_TYPE_COURSE
                2 -> return MSG_SHARE_TYPE_ARTICLE
                3 -> return MSG_SHARE_TYPE_CONFIDE
                else -> return MSG_SHARE_TYPE_CONFIDE
            }
        }
    }
}
